
// <option value="ar">🇪🇬&emsp;عربي</option> 
// <!-- Bengali -->
// <option value="be">🇧🇩&emsp;বাংলা</option> 
// <!-- Chinese (simplified) -->
// <option value="ch">🇨🇳&emsp;簡體中文</option>
// <option value="de">🇩🇪&emsp;Deutsch</option>
// <option value="en" selected>🇬🇧&emsp;English</option>
// <option value="es">🇪🇸&emsp;Espagnol</option>
// <option value="fr">🇫🇷&emsp;Français</option>
// <!-- Greek -->
// <option value="gr">🇬🇷&emsp;ελληνικά</option>
// <option value="ha">🇳🇬&emsp;Hausa</option>
// <!-- Hindi -->
// <option value="hi">🇮🇳&emsp;हिंदी</option>
// <!-- Hebrew -->
// <option value="he">🇮🇱&emsp;עִברִית</option>
// <option value="hu">🇭🇺&emsp;Magyar</option>
// <option value="it">🇮🇹&emsp;Italiano</option>
// <!-- Japanese -->
// <option value="ja">🇯🇵&emsp;日本語</option>
// <!-- Rwanda -->
// <option value="ki">🇷🇼&emsp;Kinyarwanda</option>
// <!-- Korean -->
// <option value="ko">🇰🇷&emsp;한국인</option>
// <option value="ne">🇳🇱&emsp;Nederlands</option>
// <option value="po">🇵🇱&emsp;Polski</option>
// <option value="pt">🇵🇹&emsp;Português</option>
// <!-- Russian -->
// <option value="ru">🇷🇺&emsp;Русский</option>
//ar
//be
//ch
//de
//en
//es
//fr
//gr
//ha
//hi
//he
//ho
//it
//ja
//ki
//ko
//ne
//po
//pt
//ru


function selectElement(id, valueToSelect) {    
    let element = document.getElementById(id);
    element.value = valueToSelect;
}



function load() {
	var lan;
	lan = localStorage.getItem("site-language");
	if (!lan) {   // checks if lan is null, undefined, 0, false, NaN
  		lan = "en";
  		localStorage.setItem("site-language","en");
	}
	setLanguage(lan)
	selectElement('lanselect', lan);
}


const translations = {
	ar: {
		donate: "التبرع",
		signup: "التسجيل",
		login: "تسجيل الدخول",
		pay: "يدفع",
		receive: "يستلم",
		cashbook: "دفتر النقدية",
		logout: "تسجيل الخروج",
		welcome: "مرحباً",
		Ttext_1: "يجب أن تكون المشاركة المتساوية في",
		Ttext_2: ".إنشاء النقود حقًا من حقوق الإنسان",
		Ttext_3: "في نظامنا، كل إنسان",
		Ttext_4: " أموالًا",
		Ttext_5: " في ",
		Ttext_6: ".(الساعة)",
		Ttext_7: "إنها الطريقة الوحيدة للحصول على",
		Ttext_8: ".نظام مالي أخلاقي سليم",
		Ttext_9: "هنا",
		Ttext_10: "يمكنك قراءة كيفية عمل ذلك ",
		Ttext_11: "!استمتع",
		Ttext_12: "1CoinH ليست عملة مشفرة!"
	},
	be: {
		donate: "দান করুন",
		signup: "সাইন আপ করুন",
		login: "লগ ইন করুন",
		pay: "বেতন",
		receive: "গ্রহণ করুন",
		cashbook: "ক্যাশবুক",
		logout: "লগ আউট করুন",
		welcome: "স্বাগতম",
		Ttext_1: "অর্থের সমান অংশগ্রহণ",
		Ttext_2: "সৃষ্টি হওয়া উচিত মানুষের অধিকার.",
		Ttext_3: "আমাদের সিস্টেমে, প্রতিটি মানুষ",
		Ttext_4: "গ্রহণ করে ",
		Ttext_5: " প্রতি ",
		Ttext_6: "(ঘন্টা).",
		Ttext_7: "এটি একটি আছে একমাত্র উপায়",
		Ttext_8: "সঠিক নৈতিক আর্থিক ব্যবস্থা.",
		Ttext_9: "এখানে",
		Ttext_10: " আপনি এটি কিভাবে কাজ করে",
		Ttext_11: "পড়তে পারেন উপভোগ করুন!",
		Ttext_12: "1CoinH একটি ক্রিপ্টোকারেন্সি নয়!"
	},
	ch: {
		donate: "捐赠",
		signup: "注册",
		login: "登录",
		pay: "支付",
		receive: "收到",
		cashbook: "现金簿",
		logout: "登出",
		welcome: "欢迎",
		Ttext_1: "平等参与货币创造应该是一项人权",
		Ttext_2: "在我们的系统中，每个人.",
		Ttext_3: "在我们的系统中，每个人",
		Ttext_4: "都会收到 ",
		Ttext_5: " 小时获得 ",
		Ttext_6: "(获得).",
		Ttext_7: "这是拥有",
		Ttext_8: "适当道德金融体系的唯一方法.",
		Ttext_9: "在这里",
		Ttext_10: " 您可以阅读它的工作原理",
		Ttext_11: "享受!",
		Ttext_12: "1CoinH 不是加密货币！"
	},
	de: {
		donate: "Spenden",
		signup: "Registrieren",
		login: "Anmelden",
		pay: "Zahlen",
		receive: "Erhalten",
		cashbook: "Kassenbuch",
		logout: "Ausloggen",
		welcome: "Willkommen",
		Ttext_1: "Gleiche Beteiligung an der Geldschöpfung",
		Ttext_2: "sollte ein Menschenrecht sein.",
		Ttext_3: "In unserem System erhält jeder",
		Ttext_4: "Mensch ",
		Ttext_5: " pro ",
		Ttext_6: "(Stunde).",
		Ttext_7: "Das ist die einzige Möglichkeit, ein",
		Ttext_8: "richtiges, ethisches Finanzsystem zu haben.",
		Ttext_9: "Hier",
		Ttext_10: " können Sie lesen, wie das funktioniert.",
		Ttext_11: "Viel Spaß!",
		Ttext_12: "1CoinH ist KEINE Kryptowährung!"
	},
	en: {
		donate: "Donate",
		signup: "Sign Up",
		login: "Log In",
		pay: "Pay",
		receive: "Reiceive",
		cashbook: "Cashbook",
		logout: "Log Out",
		welcome: "Welcome",
		Ttext_1: "Equal participation in money",
		Ttext_2: "creation should be a human right.",
		Ttext_3: "In our system, every human",
		Ttext_4: "receives ",
		Ttext_5: "  per ",
		Ttext_6: "(Hour).",
		Ttext_7: "It's the only way to have a",
		Ttext_8: "proper ethical financial system.",
		Ttext_9: "Here",
		Ttext_10: " you can read how this works.",
		Ttext_11: "Enjoy!",
		Ttext_12: "1CoinH is NOT a Cryptocurrency!"
	},
	es: {
		donate: "Donar",
		signup: "Registrarse",
		login: "Iniciar Sesión",
		pay: "Pagar",
		receive: "Recibir",
		cashbook: "Libro De Caja",
		logout: "Finalizar La Sesión",
		welcome: "Bienvenida",
		Ttext_1: "La participación igualitaria en la creación",
		Ttext_2: "de dinero debería ser un derecho humano.",
		Ttext_3: "En nuestro sistema, cada humana",
		Ttext_4: "recibe ",
		Ttext_5: " por ",
		Ttext_6: "(hora).",
		Ttext_7: "Es la única manera de tener un",
		Ttext_8: "sistema financiero ético adecuado.",
		Ttext_9: "Aquí",
		Ttext_10: " puedes leer cómo funciona.",
		Ttext_11: "Disfruta!",
		Ttext_12: "¡1CoinH NO es una criptomoneda!"
	},
	fr: {
		donate: "Contribution",
		signup: "Inscrivez",
		login: "Connectez",
		pay: "Payer",
		receive: "Recevoir",
		cashbook: "Livre De Caisse",
		logout: "Déconnexion",
		welcome: "Bienvenue",
		Ttext_1: "La participation égale à la création",
		Ttext_2: "de monnaie devrait être un droit humain.",
		Ttext_3: "Dans notre système, chaque être humain",
		Ttext_4: "reçoit ",
		Ttext_5: " par ",
		Ttext_6: " (heure).",
		Ttext_7: "C'est la seule façon d'avoir un",
		Ttext_8: "système financier éthique approprié.",
		Ttext_9: "Ici",
		Ttext_10: " vous pouvez lire comment cela fonctionne.",
		Ttext_11: "Profitez!",
		Ttext_12: "1CoinH n'est PAS une crypto-monnaie !"
	},
	gr: {
		donate: "Προσφέρω",
		signup: "Εγγραφείτε",
		login: "Συνδεθείτε",
		pay: "πληρωμή",
		receive: "Λαμβάνω",
		cashbook: "Βιβλίο ταμείου",
		logout: "Έξοδος",
		welcome: "Καλωσόρισμα",
		Ttext_1: "Ισότιμη συμμετοχή σε χρήματα",
		Ttext_2: "η δημιουργία πρέπει να είναι ανθρώπινο δικαίωμα.",
		Ttext_3: "Στο σύστημά μας, κάθε άνθρωπος",
		Ttext_4: "λαμβάνει ",
		Ttext_5: " ανά ",
		Ttext_6: " (Ωρα).",
		Ttext_7: "Είναι ο μόνος τρόπος να έχεις ένα",
		Ttext_8: "κατάλληλο ηθικό χρηματοπιστωτικό σύστημα.",
		Ttext_9: "Εδώ",
		Ttext_10: " μπορείτε να διαβάσετε πώς λειτουργεί αυτό.",
		Ttext_11: "Απολαμβάνω!",
		Ttext_12: "Το 1CoinH ΔΕΝ είναι Κρυπτονόμισμα!"
	},
	ha: {
		donate: "Gudunmawa",
		signup: "Shiga",
		login: "Log In",
		pay: "Biya",
		receive: "Karba",
		cashbook: "Littafin Kuɗi",
		logout: "Fita",
		welcome: "Barka Da Zuwa",
		Ttext_1: "Daidaitaccen shiga cikin kuɗi",
		Ttext_2: "halitta ya kamata ya zama 'yancin ɗan adam.",
		Ttext_3: "A cikin tsarinmu, kowane ɗan adam",
		Ttext_4: "karba ",
		Ttext_5: " per ",
		Ttext_6: " (Sa'a).",
		Ttext_7: "Ita ce kadai hanyar samun a.",
		Ttext_8: "daidai da'a tsarin kudi",
		Ttext_9: "nan",
		Ttext_10: " za ku iya karanta yadda wannan ke aiki.",
		Ttext_11: "Ji dadin!",
		Ttext_12: "1CoinH ba Cryptocurrency ba ne!"
	},
	hi: {
		donate: "दान करें",
		signup: "साइन अप करें",
		login: "लॉग इन करें",
		pay: "वेतन",
		receive: "प्राप्त करें",
		cashbook: "रोकड़ बही",
		logout: "लॉग आउट",
		welcome: "स्वागत",
		Ttext_1: "पैसे में समान भागीदारी",
		Ttext_2: "सृजन एक मानव अधिकार होना चाहिए.",
		Ttext_3: "हमारी व्यवस्था में, प्रत्येक मनुष्य",
		Ttext_4: "प्रति ",
		Ttext_5: " घंटे ",
		Ttext_6: " (प्राप्त करता है).",
		Ttext_7: "यह एक",
		Ttext_8: "उचित नैतिक वित्तीय प्रणाली होने का एकमात्र तरीका है.",
		Ttext_9: "यहाँ",
		Ttext_10: " आप पढ़ सकते हैं कि यह कैसे काम करता है.",
		Ttext_11: "आनंद लें!",
		Ttext_12: "1CoinH एक क्रिप्टोकरेंसी नहीं है!"
	},
	he: {
		donate: "לִתְרוֹם",
		signup: "הירשם",
		login: "התחבר",
		pay: "לְשַׁלֵם",
		receive: "לְקַבֵּל",
		cashbook: "קופה",
		logout: "התנתק",
		welcome: "קַבָּלַת פָּנִים",
		Ttext_1: "השתתפות שווה בכסף",
		Ttext_2: ".יצירה צריכה להיות זכות אדם",
		Ttext_3: "במערכת שלנו, כל אדם",
		Ttext_4: " מקבל",
		Ttext_5: " לְכָל ",
		Ttext_6: ".(שָׁעָה)",
		Ttext_7: "זו הדרך היחידה לקבל א",
		Ttext_8: ".מערכת פיננסית אתית נכונה",
		Ttext_9: "כָּאן",
		Ttext_10: ".אתה יכול לקרוא איך זה עובד ",
		Ttext_11: "!תהנה",
		Ttext_12: "1CoinH אינו מטבע קריפטו!"
	},
	hu: {
		donate: "Adományoz",
		signup: "Regisztrá.",
		login: "Bejelentkezés",
		pay: "Fizetés",
		receive: "Kap",
		cashbook: "Pénztárkönyv",
		logout: "Jelentkezzen Ki",
		welcome: "Üdvözöljük",
		Ttext_1: "Egyenlő részvétel a pénzben",
		Ttext_2: "az alkotásnak emberi jognak kell lennie.",
		Ttext_3: "A mi rendszerünkben minden ember",
		Ttext_4: "kap ",
		Ttext_5: " per ",
		Ttext_6: " (Óra).",
		Ttext_7: "Ez az egyetlen módja annak, hogy a",
		Ttext_8: "megfelelő etikus pénzügyi rendszer.",
		Ttext_9: "Itt",
		Ttext_10: " elolvashatod, hogyan működik ez.",
		Ttext_11: "Élvez!",
		Ttext_12: "Az 1CoinH NEM kriptovaluta!"
	},
	it: {
		donate: "Dona",
		signup: "Registrati",
		login: "Accedi",
		pay: "Paga",
		receive: "Ricevere",
		cashbook: "Libro Cassa",
		logout: "Esci",
		welcome: "Benvenuta",
		Ttext_1: "Partecipazione paritaria alla creazione di denaro",
		Ttext_2: "dovrebbe essere un diritto umano.",
		Ttext_3: "Nel nostro sistema, ogni essere umano",
		Ttext_4: "riceve ",
		Ttext_5: " all ",
		Ttext_6: " ('ora).",
		Ttext_7: "È l'unico modo per avere un",
		Ttext_8: "sistema finanziario etico appropriato.",
		Ttext_9: "Qui",
		Ttext_10: " puoi leggere come funziona.",
		Ttext_11: "Divertiti!",
		Ttext_12: "1CoinH NON è una criptovaluta!"
	},
	ja: {
		donate: "寄付",
		signup: "サインアップ",
		login: "ログイン",
		pay: "支払う",
		receive: "受け取る",
		cashbook: "現金出納帳",
		logout: "ログアウト",
		welcome: "いらっしゃいませ",
		Ttext_1: "お金への平等な参加",
		Ttext_2: "創造は人権であるべきです.",
		Ttext_3: "私たちのシステムでは、すべての人間が",
		Ttext_4: "受け取る ",
		Ttext_5: " あたり ",
		Ttext_6: " (時間).",
		Ttext_7: "これが",
		Ttext_8: "適切な倫理的な金融システムを持つ唯一の方法です.",
		Ttext_9: "ここで",
		Ttext_10: " これがどのように機能するかを読むことができます.",
		Ttext_11: "お楽しみください!",
		Ttext_12: "1CoinHは暗号通貨ではありません!"
	},
	ki: {
		donate: "Tanga impano",
		signup: "Iyandikishe",
		login: "Injira",
		pay: "Kwishyura",
		receive: "Akira",
		cashbook: "Cashbook",
		logout: "Sohoka",
		welcome: "Murakaza Neza",
		Ttext_1: "Uruhare rungana mumafaranga",
		Ttext_2: "kurema bigomba kuba uburenganzira bwa muntu.",
		Ttext_3: "Muri sisitemu yacu, buri muntu",
		Ttext_4: "yakira ",
		Ttext_5: " kuri ",
		Ttext_6: " (Isaha).",
		Ttext_7: "Ninzira yonyine yo kugira a",
		Ttext_8: "sisitemu yimari ikwiye.",
		Ttext_9: "Hano",
		Ttext_10: " urashobora gusoma uko ibi bikora.",
		Ttext_11: "Ishimire!",
		Ttext_12: "1CoinH ntabwo ari Cryptocurrency!"
	},
	ko: {
		donate: "기부",
		signup: "가입",
		login: "로그인",
		pay: "지불하다",
		receive: "받다",
		cashbook: "현금 출납장",
		logout: "로그아웃",
		welcome: "환영",
		Ttext_1: "돈에 대한 평등한 참여",
		Ttext_2: "창조는 인권이어야 함.",
		Ttext_3: "우리 시스템에서는 모든 인간이",
		Ttext_4: "받는 ",
		Ttext_5: " 당 ",
		Ttext_6: " (시간).",
		Ttext_7: "이것이",
		Ttext_8: "적절하고 윤리적인 금융 시스템을 갖는 유일한 방법입니다.",
		Ttext_9: "여기",
		Ttext_10: " 이것이 어떻게 작동하는지 읽을 수 있습니다.",
		Ttext_11: "즐기세요!",
		Ttext_12: "1CoinH는 암호화폐가 아닙니다!"
	},
	ne: {
		donate: "Donaties",
		signup: "Doe Mee",
		login: "Log In",
		pay: "Betaal",
		receive: "Ontvang",
		cashbook: "Kasboek",
		logout: "Log Uit",
		welcome: "Welkom",
		Ttext_1: "Evenredig profiteren in de geld-",
		Ttext_2: "creatie moet een mensenrecht zijn.",
		Ttext_3: "In ons systeem ontvangt ieder",
		Ttext_4: "mens ",
		Ttext_5: "  per ",
		Ttext_6: "(uur).",
		Ttext_7: "Het is dé weg naar een rechtvaardig",
		Ttext_8: "ethisch financieel system.",
		Ttext_9: "Hier",
		Ttext_10: " kun je lezen hoe dit werkt.",
		Ttext_11: "Veel plezier!",
		Ttext_12: "1CoinH is GEEN cryptocurrency!"
	},
	po: {
		donate: "Składka",
		signup: "Zarejestruj",
		login: "Zaloguj",
		pay: "Płacić",
		receive: "Odbierać",
		cashbook: "Księga Kasowa",
		logout: "Wyloguj Się",
		welcome: "Powitanie",
		Ttext_1: "Równy udział w tworzeniu pieniędzy",
		Ttext_2: "powinien być prawem człowieka.",
		Ttext_3: "W naszym systemie każdy człowiek",
		Ttext_4: "otrzymuje ",
		Ttext_5: " na ",
		Ttext_6: " (Godzinę).",
		Ttext_7: "To jedyny sposób, aby mieć",
		Ttext_8: "właściwy etyczny system finansowy.",
		Ttext_9: "Tutaj",
		Ttext_10: " możesz przeczytać, jak to działa.",
		Ttext_11: "Ciesz się!",
		Ttext_12: "1CoinH NIE jest kryptowalutą!"
	},
	pt: {
		donate: "Doar",
		signup: "Inscrever",
		login: "Conecte",
		pay: "Pagar",
		receive: "Receber",
		cashbook: "Livro Caixa",
		logout: "Sair",
		welcome: "Boas-Vindas",
		Ttext_1: "Participação igualitária no dinheiro",
		Ttext_2: "a criação deveria ser um direito humano.",
		Ttext_3: "No nosso sistema, todo o ser humano",
		Ttext_4: "recebe ",
		Ttext_5: " por ",
		Ttext_6: " (Hora).",
		Ttext_7: "É a única forma de ter um",
		Ttext_8: "sistema financeiro ético adequado.",
		Ttext_9: "Aqui",
		Ttext_10: " pode ler como funciona.",
		Ttext_11: "Desfrutar!",
		Ttext_12: "A 1CoinH NÃO é uma criptomoeda!"
	},
	ru: {
		donate: "давать",
		signup: "присоединиться",
		login: "Войти",
		pay: "Платить",
		receive: "Получать",
		cashbook: "Кассовая книга",
		logout: "Выйти",
		welcome: "Добро пожаловать",
		Ttext_1: "Равное участие в деньгах",
		Ttext_2: "творение должно быть правом человека.",
		Ttext_3: "В нашей системе каждый человек",
		Ttext_4: "получает ",
		Ttext_5: " за ",
		Ttext_6: " (Час).",
		Ttext_7: "Это единственный способ иметь",
		Ttext_8: "надлежащую этичную финансовую систему.",
		Ttext_9: "Здесь",
		Ttext_10: "!вы можете прочитать, как это работает.",
		Ttext_11: "Наслаждайтесь!",
		Ttext_12: "1CoinH — это НЕ криптовалюта!"
	}
}


const languageSelectop = document.querySelector("select");

languageSelectop.addEventListener("change", (event) => {
	setLanguage(event.target.value);
	if (window.localStorage) {
    	localStorage.setItem("site-language", event.target.value);
 	}
})

let donate = document.getElementById("donate");
let signup = document.getElementById("signup");
let login = document.getElementById("login");
let pay = document.getElementById("pay");
let receive = document.getElementById("receive");
let cashbook = document.getElementById("cashbook");
let logout = document.getElementById("logout");
let welcome = document.getElementById("welcome");
let text_1 = document.getElementById("text_1");
let text_2 = document.getElementById("text_2");
let text_3 = document.getElementById("text_3");
let text_4 = document.getElementById("text_4");
let text_5 = document.getElementById("text_5");
let text_6 = document.getElementById("text_6");
let text_7 = document.getElementById("text_7");
let text_8 = document.getElementById("text_8");
let text_9 = document.getElementById("text_9");
let text_10 = document.getElementById("text_10");
let text_11 = document.getElementById("text_11");
let text_12 = document.getElementById("text_12");


const setLanguage = (language) => {
	if(language == "ar"){
		if (donate) {
			donate.innerText = translations.ar.donate;
		}
		if (signup) {
			signup.innerText = translations.ar.signup;
		}
		if (login) {
			login.innerText = translations.ar.login;
		}
		if (pay) {
			pay.innerText = translations.ar.pay;
		}
		if (receive) {
			receive.innerText = translations.ar.receive;
		}
		if (cashbook) {
			cashbook.innerText = translations.ar.cashbook;
		}
		if (logout) {
			logout.innerText = translations.ar.logout;
		}
		if (welcome) {
			welcome.innerText = translations.ar.welcome;
		}
		signup.innerText = translations.ar.signup;
		login.innerText = translations.ar.login;
		text_1.innerText = translations.ar.Ttext_1;
		text_2.innerText = translations.ar.Ttext_2;
		text_3.innerText = translations.ar.Ttext_3;
		text_4.innerText = translations.ar.Ttext_4;
		text_5.innerText = translations.ar.Ttext_5;
		text_6.innerText = translations.ar.Ttext_6;
		text_7.innerText = translations.ar.Ttext_7;
		text_8.innerText = translations.ar.Ttext_8;
		text_9.innerText = translations.ar.Ttext_9;
		text_10.innerText = translations.ar.Ttext_10;
		text_11.innerText = translations.ar.Ttext_11;
		text_12.innerText = translations.ar.Ttext_12;
	}else if(language == "be"){
		if (donate) {
			donate.innerText = translations.be.donate;
		}
		if (signup) {
			signup.innerText = translations.be.signup;
		}
		if (login) {
			login.innerText = translations.be.login;
		}
		if (pay) {
			pay.innerText = translations.be.pay;
		}
		if (receive) {
			receive.innerText = translations.be.receive;
		}
		if (cashbook) {
			cashbook.innerText = translations.be.cashbook;
		}
		if (logout) {
			logout.innerText = translations.be.logout;
		}
		if (welcome) {
			welcome.innerText = translations.be.welcome;
		}
		text_1.innerText = translations.be.Ttext_1;
		text_2.innerText = translations.be.Ttext_2;
		text_3.innerText = translations.be.Ttext_3;
		text_4.innerText = translations.be.Ttext_4;
		text_5.innerText = translations.be.Ttext_5;
		text_6.innerText = translations.be.Ttext_6;
		text_7.innerText = translations.be.Ttext_7;
		text_8.innerText = translations.be.Ttext_8;
		text_9.innerText = translations.be.Ttext_9;
		text_10.innerText = translations.be.Ttext_10;
		text_11.innerText = translations.be.Ttext_11;
		text_12.innerText = translations.be.Ttext_12;
	}else if(language == "ch"){
		if (donate) {
			donate.innerText = translations.ch.donate;
		}
		if (signup) {
			signup.innerText = translations.ch.signup;
		}
		if (login) {
			login.innerText = translations.ch.login;
		}
		if (pay) {
			pay.innerText = translations.ch.pay;
		}
		if (receive) {
			receive.innerText = translations.ch.receive;
		}
		if (cashbook) {
			cashbook.innerText = translations.ch.cashbook;
		}
		if (logout) {
			logout.innerText = translations.ch.logout;
		}
		if (welcome) {
			welcome.innerText = translations.ch.welcome;
		}
		text_1.innerText = translations.ch.Ttext_1;
		text_2.innerText = translations.ch.Ttext_2;
		text_3.innerText = translations.ch.Ttext_3;
		text_4.innerText = translations.ch.Ttext_4;
		text_5.innerText = translations.ch.Ttext_5;
		text_6.innerText = translations.ch.Ttext_6;
		text_7.innerText = translations.ch.Ttext_7;
		text_8.innerText = translations.ch.Ttext_8;
		text_9.innerText = translations.ch.Ttext_9;
		text_10.innerText = translations.ch.Ttext_10;
		text_11.innerText = translations.ch.Ttext_11;
		text_12.innerText = translations.ch.Ttext_12;
	}else if(language == "de"){
		if (donate) {
			donate.innerText = translations.de.donate;
		}
		if (signup) {
			signup.innerText = translations.de.signup;
		}
		if (login) {
			login.innerText = translations.de.login;
		}
		if (pay) {
			pay.innerText = translations.de.pay;
		}
		if (receive) {
			receive.innerText = translations.de.receive;
		}
		if (cashbook) {
			cashbook.innerText = translations.de.cashbook;
		}
		if (logout) {
			logout.innerText = translations.de.logout;
		}
		if (welcome) {
			welcome.innerText = translations.de.welcome;
		}
		text_1.innerText = translations.de.Ttext_1;
		text_2.innerText = translations.de.Ttext_2;
		text_3.innerText = translations.de.Ttext_3;
		text_4.innerText = translations.de.Ttext_4;
		text_5.innerText = translations.de.Ttext_5;
		text_6.innerText = translations.de.Ttext_6;
		text_7.innerText = translations.de.Ttext_7;
		text_8.innerText = translations.de.Ttext_8;
		text_9.innerText = translations.de.Ttext_9;
		text_10.innerText = translations.de.Ttext_10;
		text_11.innerText = translations.de.Ttext_11;
		text_12.innerText = translations.de.Ttext_12;
	}else if(language == "en"){
		if (donate) {
			donate.innerText = translations.en.donate;
		}
		if (signup) {
			signup.innerText = translations.en.signup;
		}
		if (login) {
			login.innerText = translations.en.login;
		}
		if (pay) {
			pay.innerText = translations.en.pay;
		}
		if (receive) {
			receive.innerText = translations.en.receive;
		}
		if (cashbook) {
			cashbook.innerText = translations.en.cashbook;
		}
		if (logout) {
			logout.innerText = translations.en.logout;
		}
		if (welcome) {
			welcome.innerText = translations.en.welcome;
		}
		text_1.innerText = translations.en.Ttext_1;
		text_2.innerText = translations.en.Ttext_2;
		text_3.innerText = translations.en.Ttext_3;
		text_4.innerText = translations.en.Ttext_4;
		text_5.innerText = translations.en.Ttext_5;
		text_6.innerText = translations.en.Ttext_6;
		text_7.innerText = translations.en.Ttext_7;
		text_8.innerText = translations.en.Ttext_8;
		text_9.innerText = translations.en.Ttext_9;
		text_10.innerText = translations.en.Ttext_10;
		text_11.innerText = translations.en.Ttext_11;
		text_12.innerText = translations.en.Ttext_12;
	}else if(language == "es"){
		if (donate) {
			donate.innerText = translations.es.donate;
		}
		if (signup) {
			signup.innerText = translations.es.signup;
		}
		if (login) {
			login.innerText = translations.es.login;
		}
		if (pay) {
			pay.innerText = translations.es.pay;
		}
		if (receive) {
			receive.innerText = translations.es.receive;
		}
		if (cashbook) {
			cashbook.innerText = translations.es.cashbook;
		}
		if (logout) {
			logout.innerText = translations.es.logout;
		}
		if (welcome) {
			welcome.innerText = translations.es.welcome;
		}
		text_1.innerText = translations.es.Ttext_1;
		text_2.innerText = translations.es.Ttext_2;
		text_3.innerText = translations.es.Ttext_3;
		text_4.innerText = translations.es.Ttext_4;
		text_5.innerText = translations.es.Ttext_5;
		text_6.innerText = translations.es.Ttext_6;
		text_7.innerText = translations.es.Ttext_7;
		text_8.innerText = translations.es.Ttext_8;
		text_9.innerText = translations.es.Ttext_9;
		text_10.innerText = translations.es.Ttext_10;
		text_11.innerText = translations.es.Ttext_11;
		text_12.innerText = translations.es.Ttext_12;
	}else if(language == "fr"){
		if (donate) {
			donate.innerText = translations.fr.donate;
		}
		if (signup) {
			signup.innerText = translations.fr.signup;
		}
		if (login) {
			login.innerText = translations.fr.login;
		}
		if (pay) {
			pay.innerText = translations.fr.pay;
		}
		if (receive) {
			receive.innerText = translations.fr.receive;
		}
		if (cashbook) {
			cashbook.innerText = translations.fr.cashbook;
		}
		if (logout) {
			logout.innerText = translations.fr.logout;
		}
		if (welcome) {
			welcome.innerText = translations.fr.welcome;
		}
		text_1.innerText = translations.fr.Ttext_1;
		text_2.innerText = translations.fr.Ttext_2;
		text_3.innerText = translations.fr.Ttext_3;
		text_4.innerText = translations.fr.Ttext_4;
		text_5.innerText = translations.fr.Ttext_5;
		text_6.innerText = translations.fr.Ttext_6;
		text_7.innerText = translations.fr.Ttext_7;
		text_8.innerText = translations.fr.Ttext_8;
		text_9.innerText = translations.fr.Ttext_9;
		text_10.innerText = translations.fr.Ttext_10;
		text_11.innerText = translations.fr.Ttext_11;
		text_12.innerText = translations.fr.Ttext_12;
	}else if(language == "gr"){
		if (donate) {
			donate.innerText = translations.gr.donate;
		}
		if (signup) {
			signup.innerText = translations.gr.signup;
		}
		if (login) {
			login.innerText = translations.gr.login;
		}
		if (pay) {
			pay.innerText = translations.gr.pay;
		}
		if (receive) {
			receive.innerText = translations.gr.receive;
		}
		if (cashbook) {
			cashbook.innerText = translations.gr.cashbook;
		}
		if (logout) {
			logout.innerText = translations.gr.logout;
		}
		if (welcome) {
			welcome.innerText = translations.gr.welcome;
		}
		text_1.innerText = translations.gr.Ttext_1;
		text_2.innerText = translations.gr.Ttext_2;
		text_3.innerText = translations.gr.Ttext_3;
		text_4.innerText = translations.gr.Ttext_4;
		text_5.innerText = translations.gr.Ttext_5;
		text_6.innerText = translations.gr.Ttext_6;
		text_7.innerText = translations.gr.Ttext_7;
		text_8.innerText = translations.gr.Ttext_8;
		text_9.innerText = translations.gr.Ttext_9;
		text_10.innerText = translations.gr.Ttext_10;
		text_11.innerText = translations.gr.Ttext_11;
		text_12.innerText = translations.gr.Ttext_12;
	}else if(language == "ha"){
		if (donate) {
			donate.innerText = translations.ha.donate;
		}
		if (signup) {
			signup.innerText = translations.ha.signup;
		}
		if (login) {
			login.innerText = translations.ha.login;
		}
		if (pay) {
			pay.innerText = translations.ha.pay;
		}
		if (receive) {
			receive.innerText = translations.ha.receive;
		}
		if (cashbook) {
			cashbook.innerText = translations.ha.cashbook;
		}
		if (logout) {
			logout.innerText = translations.ha.logout;
		}
		if (welcome) {
			welcome.innerText = translations.ha.welcome;
		}
		text_1.innerText = translations.ha.Ttext_1;
		text_2.innerText = translations.ha.Ttext_2;
		text_3.innerText = translations.ha.Ttext_3;
		text_4.innerText = translations.ha.Ttext_4;
		text_5.innerText = translations.ha.Ttext_5;
		text_6.innerText = translations.ha.Ttext_6;
		text_7.innerText = translations.ha.Ttext_7;
		text_8.innerText = translations.ha.Ttext_8;
		text_9.innerText = translations.ha.Ttext_9;
		text_10.innerText = translations.ha.Ttext_10;
		text_11.innerText = translations.ha.Ttext_11;
		text_12.innerText = translations.ha.Ttext_12;
	}else if(language == "hi"){
		if (donate) {
			donate.innerText = translations.hi.donate;
		}
		if (signup) {
			signup.innerText = translations.hi.signup;
		}
		if (login) {
			login.innerText = translations.hi.login;
		}
		if (pay) {
			pay.innerText = translations.hi.pay;
		}
		if (receive) {
			receive.innerText = translations.hi.receive;
		}
		if (cashbook) {
			cashbook.innerText = translations.hi.cashbook;
		}
		if (logout) {
			logout.innerText = translations.hi.logout;
		}
		if (welcome) {
			welcome.innerText = translations.hi.welcome;
		}
		text_1.innerText = translations.hi.Ttext_1;
		text_2.innerText = translations.hi.Ttext_2;
		text_3.innerText = translations.hi.Ttext_3;
		text_4.innerText = translations.hi.Ttext_4;
		text_5.innerText = translations.hi.Ttext_5;
		text_6.innerText = translations.hi.Ttext_6;
		text_7.innerText = translations.hi.Ttext_7;
		text_8.innerText = translations.hi.Ttext_8;
		text_9.innerText = translations.hi.Ttext_9;
		text_10.innerText = translations.hi.Ttext_10;
		text_11.innerText = translations.hi.Ttext_11;
		text_12.innerText = translations.hi.Ttext_12;
	}else if(language == "he"){
		if (donate) {
			donate.innerText = translations.he.donate;
		}
		if (signup) {
			signup.innerText = translations.he.signup;
		}
		if (login) {
			login.innerText = translations.he.login;
		}
		if (pay) {
			pay.innerText = translations.he.pay;
		}
		if (receive) {
			receive.innerText = translations.he.receive;
		}
		if (cashbook) {
			cashbook.innerText = translations.he.cashbook;
		}
		if (logout) {
			logout.innerText = translations.he.logout;
		}
		if (welcome) {
			welcome.innerText = translations.he.welcome;
		}
		text_1.innerText = translations.he.Ttext_1;
		text_2.innerText = translations.he.Ttext_2;
		text_3.innerText = translations.he.Ttext_3;
		text_4.innerText = translations.he.Ttext_4;
		text_5.innerText = translations.he.Ttext_5;
		text_6.innerText = translations.he.Ttext_6;
		text_7.innerText = translations.he.Ttext_7;
		text_8.innerText = translations.he.Ttext_8;
		text_9.innerText = translations.he.Ttext_9;
		text_10.innerText = translations.he.Ttext_10;
		text_11.innerText = translations.he.Ttext_11;
		text_12.innerText = translations.he.Ttext_12;
	}else if(language == "hu"){
		if (donate) {
			donate.innerText = translations.hu.donate;
		}
		if (signup) {
			signup.innerText = translations.hu.signup;
		}
		if (login) {
			login.innerText = translations.hu.login;
		}
		if (pay) {
			pay.innerText = translations.hu.pay;
		}
		if (receive) {
			receive.innerText = translations.hu.receive;
		}
		if (cashbook) {
			cashbook.innerText = translations.hu.cashbook;
		}
		if (logout) {
			logout.innerText = translations.hu.logout;
		}
		if (welcome) {
			welcome.innerText = translations.hu.welcome;
		}
		text_1.innerText = translations.hu.Ttext_1;
		text_2.innerText = translations.hu.Ttext_2;
		text_3.innerText = translations.hu.Ttext_3;
		text_4.innerText = translations.hu.Ttext_4;
		text_5.innerText = translations.hu.Ttext_5;
		text_6.innerText = translations.hu.Ttext_6;
		text_7.innerText = translations.hu.Ttext_7;
		text_8.innerText = translations.hu.Ttext_8;
		text_9.innerText = translations.hu.Ttext_9;
		text_10.innerText = translations.hu.Ttext_10;
		text_11.innerText = translations.hu.Ttext_11;
		text_12.innerText = translations.hu.Ttext_12;
	}else if(language == "it"){
		if (donate) {
			donate.innerText = translations.it.donate;
		}
		if (signup) {
			signup.innerText = translations.it.signup;
		}
		if (login) {
			login.innerText = translations.it.login;
		}
		if (pay) {
			pay.innerText = translations.it.pay;
		}
		if (receive) {
			receive.innerText = translations.it.receive;
		}
		if (cashbook) {
			cashbook.innerText = translations.it.cashbook;
		}
		if (logout) {
			logout.innerText = translations.it.logout;
		}
		if (welcome) {
			welcome.innerText = translations.it.welcome;
		}
		text_1.innerText = translations.it.Ttext_1;
		text_2.innerText = translations.it.Ttext_2;
		text_3.innerText = translations.it.Ttext_3;
		text_4.innerText = translations.it.Ttext_4;
		text_5.innerText = translations.it.Ttext_5;
		text_6.innerText = translations.it.Ttext_6;
		text_7.innerText = translations.it.Ttext_7;
		text_8.innerText = translations.it.Ttext_8;
		text_9.innerText = translations.it.Ttext_9;
		text_10.innerText = translations.it.Ttext_10;
		text_11.innerText = translations.it.Ttext_11;
		text_12.innerText = translations.it.Ttext_12;
	}else if(language == "ja"){
		if (donate) {
			donate.innerText = translations.ja.donate;
		}
		if (signup) {
			signup.innerText = translations.ja.signup;
		}
		if (login) {
			login.innerText = translations.ja.login;
		}
		if (pay) {
			pay.innerText = translations.ja.pay;
		}
		if (receive) {
			receive.innerText = translations.ja.receive;
		}
		if (cashbook) {
			cashbook.innerText = translations.ja.cashbook;
		}
		if (logout) {
			logout.innerText = translations.ja.logout;
		}
		if (welcome) {
			welcome.innerText = translations.ja.welcome;
		}
		text_1.innerText = translations.ja.Ttext_1;
		text_2.innerText = translations.ja.Ttext_2;
		text_3.innerText = translations.ja.Ttext_3;
		text_4.innerText = translations.ja.Ttext_4;
		text_5.innerText = translations.ja.Ttext_5;
		text_6.innerText = translations.ja.Ttext_6;
		text_7.innerText = translations.ja.Ttext_7;
		text_8.innerText = translations.ja.Ttext_8;
		text_9.innerText = translations.ja.Ttext_9;
		text_10.innerText = translations.ja.Ttext_10;
		text_11.innerText = translations.ja.Ttext_11;
		text_12.innerText = translations.ja.Ttext_12;
	}else if(language == "ki"){
		if (donate) {
			donate.innerText = translations.ki.donate;
		}
		if (signup) {
			signup.innerText = translations.ki.signup;
		}
		if (login) {
			login.innerText = translations.ki.login;
		}
		if (pay) {
			pay.innerText = translations.ki.pay;
		}
		if (receive) {
			receive.innerText = translations.ki.receive;
		}
		if (cashbook) {
			cashbook.innerText = translations.ki.cashbook;
		}
		if (logout) {
			logout.innerText = translations.ki.logout;
		}
		if (welcome) {
			welcome.innerText = translations.ki.welcome;
		}
		text_1.innerText = translations.ki.Ttext_1;
		text_2.innerText = translations.ki.Ttext_2;
		text_3.innerText = translations.ki.Ttext_3;
		text_4.innerText = translations.ki.Ttext_4;
		text_5.innerText = translations.ki.Ttext_5;
		text_6.innerText = translations.ki.Ttext_6;
		text_7.innerText = translations.ki.Ttext_7;
		text_8.innerText = translations.ki.Ttext_8;
		text_9.innerText = translations.ki.Ttext_9;
		text_10.innerText = translations.ki.Ttext_10;
		text_11.innerText = translations.ki.Ttext_11;
		text_12.innerText = translations.ki.Ttext_12;
	}else if(language == "ko"){
		if (donate) {
			donate.innerText = translations.ko.donate;
		}
		if (signup) {
			signup.innerText = translations.ko.signup;
		}
		if (login) {
			login.innerText = translations.ko.login;
		}
		if (pay) {
			pay.innerText = translations.ko.pay;
		}
		if (receive) {
			receive.innerText = translations.ko.receive;
		}
		if (cashbook) {
			cashbook.innerText = translations.ko.cashbook;
		}
		if (logout) {
			logout.innerText = translations.ko.logout;
		}
		if (welcome) {
			welcome.innerText = translations.ko.welcome;
		}
		text_1.innerText = translations.ko.Ttext_1;
		text_2.innerText = translations.ko.Ttext_2;
		text_3.innerText = translations.ko.Ttext_3;
		text_4.innerText = translations.ko.Ttext_4;
		text_5.innerText = translations.ko.Ttext_5;
		text_6.innerText = translations.ko.Ttext_6;
		text_7.innerText = translations.ko.Ttext_7;
		text_8.innerText = translations.ko.Ttext_8;
		text_9.innerText = translations.ko.Ttext_9;
		text_10.innerText = translations.ko.Ttext_10;
		text_11.innerText = translations.ko.Ttext_11;
		text_12.innerText = translations.ko.Ttext_12;
	}else if(language == "ne"){
		if (donate) {
			donate.innerText = translations.ne.donate;
		}
		if (signup) {
			signup.innerText = translations.ne.signup;
		}
		if (login) {
			login.innerText = translations.ne.login;
		}
		if (pay) {
			pay.innerText = translations.ne.pay;
		}
		if (receive) {
			receive.innerText = translations.ne.receive;
		}
		if (cashbook) {
			cashbook.innerText = translations.ne.cashbook;
		}
		if (logout) {
			logout.innerText = translations.ne.logout;
		}
		if (welcome) {
			welcome.innerText = translations.ne.welcome;
		}
		text_1.innerText = translations.ne.Ttext_1;
		text_2.innerText = translations.ne.Ttext_2;
		text_3.innerText = translations.ne.Ttext_3;
		text_4.innerText = translations.ne.Ttext_4;
		text_5.innerText = translations.ne.Ttext_5;
		text_6.innerText = translations.ne.Ttext_6;
		text_7.innerText = translations.ne.Ttext_7;
		text_8.innerText = translations.ne.Ttext_8;
		text_9.innerText = translations.ne.Ttext_9;
		text_10.innerText = translations.ne.Ttext_10;
		text_11.innerText = translations.ne.Ttext_11;
		text_12.innerText = translations.ne.Ttext_12;
	}else if(language == "po"){
		if (donate) {
			donate.innerText = translations.po.donate;
		}
		if (signup) {
			signup.innerText = translations.po.signup;
		}
		if (login) {
			login.innerText = translations.po.login;
		}
		if (pay) {
			pay.innerText = translations.po.pay;
		}
		if (receive) {
			receive.innerText = translations.po.receive;
		}
		if (cashbook) {
			cashbook.innerText = translations.po.cashbook;
		}
		if (logout) {
			logout.innerText = translations.po.logout;
		}
		if (welcome) {
			welcome.innerText = translations.po.welcome;
		}
		text_1.innerText = translations.po.Ttext_1;
		text_2.innerText = translations.po.Ttext_2;
		text_3.innerText = translations.po.Ttext_3;
		text_4.innerText = translations.po.Ttext_4;
		text_5.innerText = translations.po.Ttext_5;
		text_6.innerText = translations.po.Ttext_6;
		text_7.innerText = translations.po.Ttext_7;
		text_8.innerText = translations.po.Ttext_8;
		text_9.innerText = translations.po.Ttext_9;
		text_10.innerText = translations.po.Ttext_10;
		text_11.innerText = translations.po.Ttext_11;
		text_12.innerText = translations.po.Ttext_12;
	}else if(language == "pt"){
		if (donate) {
			donate.innerText = translations.pt.donate;
		}
		if (signup) {
			signup.innerText = translations.pt.signup;
		}
		if (login) {
			login.innerText = translations.pt.login;
		}
		if (pay) {
			pay.innerText = translations.pt.pay;
		}
		if (receive) {
			receive.innerText = translations.pt.receive;
		}
		if (cashbook) {
			cashbook.innerText = translations.pt.cashbook;
		}
		if (logout) {
			logout.innerText = translations.pt.logout;
		}
		if (welcome) {
			welcome.innerText = translations.pt.welcome;
		}
		text_1.innerText = translations.pt.Ttext_1;
		text_2.innerText = translations.pt.Ttext_2;
		text_3.innerText = translations.pt.Ttext_3;
		text_4.innerText = translations.pt.Ttext_4;
		text_5.innerText = translations.pt.Ttext_5;
		text_6.innerText = translations.pt.Ttext_6;
		text_7.innerText = translations.pt.Ttext_7;
		text_8.innerText = translations.pt.Ttext_8;
		text_9.innerText = translations.pt.Ttext_9;
		text_10.innerText = translations.pt.Ttext_10;
		text_11.innerText = translations.pt.Ttext_11;
		text_12.innerText = translations.pt.Ttext_12;
	}else if(language == "ru"){
		if (donate) {
			donate.innerText = translations.ru.donate;
		}
		if (signup) {
			signup.innerText = translations.ru.signup;
		}
		if (login) {
			login.innerText = translations.ru.login;
		}
		if (pay) {
			pay.innerText = translations.ru.pay;
		}
		if (receive) {
			receive.innerText = translations.ru.receive;
		}
		if (cashbook) {
			cashbook.innerText = translations.ru.cashbook;
		}
		if (logout) {
			logout.innerText = translations.ru.logout;
		}
		if (welcome) {
			welcome.innerText = translations.ru.welcome;
		}
		text_1.innerText = translations.ru.Ttext_1;
		text_2.innerText = translations.ru.Ttext_2;
		text_3.innerText = translations.ru.Ttext_3;
		text_4.innerText = translations.ru.Ttext_4;
		text_5.innerText = translations.ru.Ttext_5;
		text_6.innerText = translations.ru.Ttext_6;
		text_7.innerText = translations.ru.Ttext_7;
		text_8.innerText = translations.ru.Ttext_8;
		text_9.innerText = translations.ru.Ttext_9;
		text_10.innerText = translations.ru.Ttext_10;
		text_11.innerText = translations.ru.Ttext_11;
		text_12.innerText = translations.ru.Ttext_12;
	}
}
