<?php
    require "header.php";
?>
    <hr style="color: ghostwhite; height: 25px; border: 0; box-shadow: inset 0 12px 12px -12px rgba(0, 0, 0, 0.5);" />
    <div id="centerContainer">
        <div style="text-align: center;">
            <span class="span-title" id=text_101>About 1CoinH</span><br>
        </div>
        <div id=div_align style="text-align: left; line-height: 26px; padding: 20px">
            <br>
            <span class="span-subtitle" id=text_102>No Other Way Out</span><br>
            <span class="span-paragraph" id=text_103>A small group of people is allowed to issue money out of thin air,  own it, and then lend it out to governments. To be able to get these loans, governments need to pay interest and are obliged to secure the loans with collateral, like taxes and any other valuable assets that the country or their citizens might still possess. With this privilege, anything that can be owned is now in the hands of this tiny group of people. Their thousand trillion Dollar assets includes almost all the land, it's resources, almost all companies, and anything else that is precious, like gold, crypto and real-estate. To be able to get these assets back, we - "the people" - need a better type of money fast. Because all known assets are massively manipulated, they will not provide a way out for us. That is why we decided to create a new financial system that - contrary to any other system - is fair for any living soul. The name of this system is '1CoinH'.</span><br><br>
            <br>
            <span class="span-subtitle" id=text_104>Design a Better Financial System</span><br>
            <span class="span-paragraph" id=text_105>When you create a better type of money, there are several choices to make:</span><br>
            <ol>
                <li><span class="span-listitem" id=text_106>The first choice that needs to made, is if it is necessary to create money at all? In this world of abundance (let no-one fool you) money should not be necessary. People living in simple villages can easy survive without money. That is - until other people start to plunder them. When you however believe that there is something like 'the human project' where resources are shared, processed and distributed to create better life for everyone, then you'll see that barter is much less efficient than using money. When you decide to be using money, you need to look at the next choices:</span></li>
                <li><span class="span-listitem" id=text_107>The second choice is about money creation. You can give a special group of people the privilege to create money and to decide who to give it to, or you can democratize money creation by design. Allowing a dedicated group to have this monopoly is quite insane as it will always be used to extend the power of this group and their friends. So to democratize the inception of coins by giving for example everyone one coin per hour and then devaluing all coins by a factor (to limit the amount of coins per living person that will be circulating), is the only logical alternative. It is also perfect, because it removes the possibility for any group to fight with other people to obtain any privilege to issue money, while refusing others this same right. This right to equally receive fresh issued money should actually become a basic human right.</span></li>
                <li><span class="span-listitem" id=text_108>The third choice is about insight in financial dealings of other people. Like preventing anybody to get a monopoly of issuing money, no special group should be able to get the sole right of checking other peoples financial situation and spending. The reason for this is that - if a group has the sole right to check anyone's financial dealings - it means that nobody else is able to check the financial dealings of the people in this group which would allow them to - for example - create money for themselves without anybody noticing. Having insight in anyone else’s financial dealings should therefore also be turned into a basic human right.</span></li>
            </ol><br>
            <span class="span-paragraph" id=text_109>These 3 choices are based on simple logic and are necessary to prevent any theft or corruption related to money. It frankly is the only way to make money ethical. Now how do you use this logic to create a new system?</span><br><br><br>
            <span class="span-subtitle" id=text_110>A New System</span><br>
            <span class="span-paragraph" id=text_111>Key for any alternative system is the way how money will be created and distributed. In every financial system, coins first need to be created. Lets go through some different financial systems and see what could be a fair way to create and distribute coins. And remember that we only look at the way how coins are created and distributed direct after creation. We are not yet looking at how people can increase their amount of money by providing products or services.</span><br>
            <ol>
                <li><span class="span-listitem" id=text_112>CREATE ALL COINS AT ONCE AND DISTRIBUTE AS FAIR AS POSSIBLE</span><br><span class="span-listitem" id=text_113>In this model everyone would receive an equal portion of the coins that are created. This immediately raises several questions. What to do with people that are on the brink of death or just have died, or just were born or are about to be born? Do you make distribution models for these situations and how do you do that fairly. And what to do with people that are born in the future and what to do with large families, with people that are in a coma or are too disabled to work. What to do with inheritance. It is easy to see that it will be impossible to make this model fair. Also issues like theft are quite complicated. What to do when the lump sum that you have received and need to help you through life is suddenly gone. It is very unclear how to take care of those situations.</span>
                    <br>
                </li>
                <li><span class="span-listitem" id=text_114>A PROTOCOL LIKE BITCOIN</span><br><span class="span-listitem" id=text_115>In Bitcoin, the miners with the most computing power will create the most coins. It is immediately clear that this way of coin creation is very unfair to people that don't possess any computing power at all. Also the factor luck plays a role in the decision who receives the value of the newly created bitcoin. Finally the protocol that will restrict the amount of coins to be created will cause many of the same issues as under a. like not being fair to people that are not yet born. Other cryptocurrency protocols (like Qortal) where not the computing power but your online connection time to that blockchain determines how much coins you will get, should be considered as a much fairer. So however Qortal is much fairer than Bitcoin, it is still completely unfair to people without proper (cheap) internet and proper laptops. The conclusion should be that as long as a cryptocurrency doesn't distribute all it's coins equally over all people on society, it is extremely unfair. Wealth distribution would be even worse than the current financial system if crypto would replace the entire financial system today.</span>
                    <br>
                </li>
                <li><span class="span-listitem" id=text_116>COINS CREATED BASED ON WORKING HOURS</span><br><span class="span-listitem" id=text_117>It is easy to see that it is almost impossible to define working hours and to value working hours in a fair way. For example: What do you do with jobs that require very long education programs? How do you value talent or people that work faster than others? Or how do you define jobs? Is taking care of your kids or parents a job? What do you do with people that are not able to work? What do you do with people who's jobs are taken by AI. There seems no proper way to organize this type of coin creation in a fair way.</span><br>
                </li>
                <li><span class="span-listitem" id=text_118>COINS CREATED IN CONNECTION TO THE LIFE TIME OF A PERSON THAT IS ALIVE</span><br><span class="span-listitem" id=text_119>This type can be paid yearly, monthly, weekly, daily or even per hour to people that are alive. Whichever type you choose, it is clear that every living person will receive the same portions of coins as anybody else. When you would do this with physical coins, creation and distribution per month of year would be more practical. When coins are distributed digitally, the hourly option would provide the most accurate distribution. Regardless of jobs or education, everyone shares an exact equal portion of all the money that is created in that period of time.</span><br>
                </li>
            </ol>
            <br><br>
            <span class="span-paragraph" id=text_120>To connect lifetime to the creation of coins is obviously the fairest way to create money. That is why we have chosen this type of money creation and distribution to be the basis for an alternative financial system.</span>
            <br><br><br>
            <span class="span-subtitle" id=text_121>Fair Money Creation is not UBI</span><br>
            <span class="span-paragraph" id=text_122>Before making some other logical choices for a new system, we first need to address a the difference between 'Personal Money Creation' and 'Universal Basic Income' (also known as 'UBI').</span><br><br><span class="span-paragraph" id=text_123>UBI used to be the abbreviation of 'Unconditional Basic Income'. Tests with Unconditional Basic Income have been done in the recent past. Contrary to what many people believed is that people with an UBI didn't resort to being idle and start becoming alcoholics or drugs abusers. Instead people with an UBI mostly invested their capital in production goods that allowed them to become more productive and grow their businesses faster.</span><br><br><span class="span-paragraph" id=text_124>The globalists however want communism. That is the reason the 'U' of UBI was changed from 'Unconditional' to 'Universal'. The people that print money out of nowhere, don't have issues with using their freshly free printed money to pay people a Basic Income as long as it is completely “conditional” and all the people need to serve them.</span><br><br><span class="span-paragraph" id=text_125>Universal Basic Income is something completely different than fair and unconditonal distributed newly created money. In the Universal Basic Income System, you will be forced to work for any created money next to all the other conditions.</span><br><br><span class="span-paragraph" id=text_126>A financial system can only be ethical when there is a fully Unconditional Equal distribution of all newly created money. Once installed, nobody is allowed to decide about the amount or frequency of payment of any newly created money. This is the exact opposite of a Universal Basic Income.</span><br><br><span class="span-paragraph" id=text_127>Another massive difference is that UBI is still largely money that has earlier been collected by the government as tax. So the people that are taxed actually have the burden to provide the money for the handout. In a system with inflation and other extraction systems for the owners of that financial system, the public will find it increasingly more difficult to provide the taxes to finance the UBI system while the people that print the money will extract any remaining wealth. In the system 1CoinH proposes, this issue doesn't exist.</span><br><br><br>
            <span class="span-subtitle" id=text_128>Full Digital?</span><br>
            <span class="span-paragraph" id=text_129>The main reason to turn our current financial system into a cashless society is that a full digital system - that is completely controlled by the owners of the financial system and the governments they control - is a perfect tool for totalitarianism. When all transactions are digital, the banks - that have a monopoly on insight in your transactions - will now not only be able to see every transaction you do, but with the help of AI they can also influence or even prevent you to do any spending that might be against their political agenda. They will create zones where your wallet only works, they can put an expiry date on your UBI savings, they can put you on vegetarian diets and limit the range of your electric car. A cashless society based on the current financial system will result in the dystopian situation many tyrants dream of.</span><br><br><span class="span-paragraph" id=text_130>This situation raises an important question for the creation of an alternative financial system: Do you still want to use digital systems to check and validate transactions?</span><br><br><span class="span-paragraph" id=text_131>Also this can be solved with logic. Like we don't want a small group of people to have the monopoly on money creation, we shouldn't allow a similar small group the monopoly on insight in all financial transactions. If we don't allow a small group the monopoly on insight in all transaction than there is only one alternative: Grant everyone insight in the financial transactions. Or at least in all transactions that are relevant to you as a user. Once everything is in the open, it will be much more difficult for any would-be-tyrant to treat groups of people unfair compared to other groups, because this will be noticed immediately, allowing people to give the proper reaction.</span><br><br><span class="span-paragraph" id=text_132>A system where everyone has insight in all transactions (that are relevant to you) is the only alternative to having a small group with a monopoly on insight. You might think that having no insight at all is also a alternative. There are cryptocurrencies like Monero and Pirate Chain where nobody has insight. The problem with having no insight at all is that it conflicts with the fair distribution of fresh created money. To be sure that a person doesn't receive more than 1 share (or portion) of the fresh created money, other people must be able to check if a participation stream of new created money is only connected once to a particular person. So insight is essential. This doesn't mean crypto like Monero or Pirate Chain can never be used. Once the money is created in an ethical way, this money can be used to buy yourself for example Monero coins. It is however important that this is done in a new Monero blockchain where Monero is only bought with ethical money. This is because you should never mix unethical money with ethical money. It would namely stain the ethical money since you don’t want corrupt banks to buy massive amounts of ethical Money with their unethical fiat currency.</span><br><br><span class="span-paragraph" id=text_133>The logical conclusion is that ethical money (money that is created in a fair way) must allow all participants to have full insight in transactions and by doing so, breaking the monopoly of insight banks have currently. So by building privacy systems on top of ethical money, people can have financial privacy where also corrupt or criminal transactions can be done. Privacy systems should be allowed because corrupt and criminal transactions can also be done with precious metals or precious stones. It is societies task to prevent illegal activities. It is not the task of a financial system to do this. Ethical money can prevent corruption and financial crime, which is a feature that is not possible in our current Fiat-system.
            </span> <br><br><br>
            <span class="span-subtitle" id=text_134>How Many Coins?</span><br>
            <span class="span-paragraph" id=text_135>Let's take a broad estimate. Assuming a global debt of US$240,000,000,000,000. When we have a world population of 8 Billion people and all money in circulation has started as debt, then you can calculate that there is about US$30,000 of money per living person in circulation. If all this money was actually within reach of the common man and we would replace the financial system with a new system where we add 30,000 coins per person, then a coin would resemble a purchase power of about 1 US Dollar. Most of the money in circulation is however out of reach of the average common man. So to create a coin with a similar purchasing power as the US Dollar, much less coins should be created. That is why we think that 20,000 coins per living person should be sufficient and should represent a recognizable value in range of the Dollar or the Euro.</span><br><br><br>
            <span class="span-subtitle" id=text_136>Depreciation - Money Without Inflation</span><br>
            <span class="span-paragraph" id=text_137>As indicated before, a system where a number of coins are distributed every hour over the entire world population would be the fairest system.</span><br><br><span class="span-paragraph" id=text_138>Now to make calculation easy, let's assume every person receives 1 coin every hour. This means a person receives 365.25 (the extra .25 is because of the extra day of the leap year, divided by 4 years) times 24 hours is 8,766 coins per year.</span><br><br><span class="span-paragraph" id=text_139>When we create a system where everyone receives 1 coin per hour, the money supply would simply keep increasing forever and as a result of that, the value of money would constantly keep dropping. This is not what you want. What you want is a constant money supply of around let's say 20,000 coins per living person. This amount should be constant at a moment not too far into the future and keep being constant. It is allowed to grow with the actual world population, as long as we have about 20,000 coins per person in circulation, to avoid any inflation as a result from an increasing money supply.</span><br><br><span class="span-paragraph" id=text_140>To get this stable supply of money we simply need to use a depreciation factor over all money that is in circulation. With a depreciation percentage, the money supply will over time become constant per person, and that is exactly what you want, because in a constant state of the money supply (money without inflation) the sense of what the value of an object is, becomes stable in the end. Only when productivity changes, you will see changes in the price of the produced items. This usually benefits customers, because normally productivity increases which means that prices usually will get a bit cheaper in this system.</span><br><br><span class="span-paragraph" id=text_141>To convert yearly depreciation (</span><span class="span-paragraph-gold">D</span><span class="span-paragraph" id=text_142>) to hourly, the following formula is used:</span><br><br>
            <span class="span-paragraph-gold">D<span class="span-paragraph-sub" id=text_143>hour</span><span class="span-paragraph-gold">&nbsp;=&nbsp;1&nbsp;–&nbsp;((1-D</span><span class="span-paragraph-sub" id=text_144>year</span><span class="span-paragraph-gold">)^<span class="span-paragraph-sup">(1/8766)</span><span class="span-paragraph-gold">)</span><br><br>
            <span class="span-paragraph" id=text_145>where 8766 is the number of hours per year and </span><span class="span-paragraph-gold">D</span><span class="span-paragraph-sub" id=text_146>hour</span><span class="span-paragraph" id=text_147> is the depreciation factor per hour.</span><br><br><span class="span-paragraph" id=text_148>We did some iterations and a depreciation factor of 0.99995 per hour (20,000/20.001 = 0.99995, which is a yearly depreciation of 35.4875%) makes sure the amount of coins that is created per person won't ever go over 20,000 coins. This depreciation factor results in a situation that a person will accumulate 7,097 coins in the first year. This is in the 8766 hours that pass each year. The amount is reduced because ever hour all the coins are accumulated in this year will automatically reduce with 0.005% (1 minus 0.99995) every hour that passes.</span><br><br><span class="span-paragraph" id=text_149>At this rate each person accumulates 18,000 coins within 5 years and 3 months which is 90% of the maximum achievable 20,000 coins. Within ten and a half year each person has 'created' 19,800 coins, which is 99% of their maximum amount.</span><br><br><span class="span-paragraph" id=text_150>After 22 years and 7 months each person has 'created' 19.999 coins, but will never reach 20,000 (self created) coins in their lifetime because the 19,999 coins the person has created will reduce with 1 coin in the hour that the new 20,000th coin is created.</span><br><br><span class="span-paragraph" id=text_151>20,000 Coins per person doesn't look much. But remember that a family of five will 'create' 100,000 coins for themselves. Coins that have an estimated value of about 1 US$ per coin. Next to that you need to remember that this financial system starts with a hard reset, meaning that everybody stops paying their mortgages, rent, lease, loans and taxes once the current financial system collapses and nobody accepts the Central Bank Digital Currencies. It means that all the real estate where people live and cars the people drive in are 'taken for free'. All these items will be registered on their names in new land and car registries that will have to be created. This is necessary to take back the property that was stolen by the corrupt banking system. That would be a proper start for a proper and fair new financial system. When your house and car is free, 20,000 coins per person as money that is in circulation is suddenly quite a lot, especially when you consider that inflation is eliminated because the money supply is constant relative to the number of persons in the new financial system. Finally we will have a financial system without inflation. This means that also the nonsensical confusing of inflation with economic growth finally will end.</span><br><br><span class="span-paragraph" id=text_152>When we use 35.5% as depreciation of the one coin per hour everyone receives, the global money supply gets constant after about 22 years. Because there was no moment in history where wealth is properly distributed, it is difficult to predict if people have a big enough incentive to be productive. It is highly probable that we need a strong financial incentive for people to be creative and productive. To keep the circulation of money high, we have chosen to set the depreciation factor 35.5% per year. This high percentage should be a strong enough stimulus for people to get active in a situation where the houses and cars are already in possession of the people.</span><br><br><br>
            <span class="span-subtitle" id=text_153>Early Adopters</span><br>
            <span class="span-paragraph" id=text_154>
            So how can we create an extreme simple 1CoinH application. Currently we do this by creating financial segment on this website. Anyone can simply</span><a href="subscribe.php"><span class="span-paragraph-link" id=text_155> subscribe </span></a><span class="span-paragraph" id=text_156>and become a user. There you need to add some personal data, including your email address, and will then receive your coins.</span><br><br><span class="span-paragraph" id=text_157>When you do a transaction, the transaction data is stored in the database of the website, next to the personal data of the buyer and seller. We advise people to do a videocall with the buyer or seller you transact with before agreeing on the transaction. In the videocall you can check if the other person really exists and resembles their userdata. With every transaction, you receive a confirmation by email so you will know very fast if your account is hacked and where your coins went to.</span><br><br><span class="span-paragraph" id=text_158>You may understand now already that it is very difficult to steal coins, because everything is transparent and traceable. There is also a button that you can use to download the entire financial history from any person you want. We advise everyone to download the data of every person you transact with direct after the transaction is finished so you can see where you received coins from or sent coins to. This can even be an email setting.</span><br><br><br>
            <span class="span-subtitle" id=text_159>Originating</span><br>
            <span class="span-paragraph" id=text_160>The website obviously helps you to send coins or to accept them. You will be able to trace the coins to the person that created them. This is called 'Originating'. Originating must be part of the system, because you must be able to refuse coins of people you don’t have any data from. But that is it. Fraud or errors (that lead to corrections in data by the 1CoinH organization – which is needed in any centralized financial system) will be made visible in the users data with the reasons of the correction.</span><br><br><br>
            <span class="span-subtitle" id=text_161>When Does It Start?</span><br>
            <span class="span-paragraph" id=text_162>Every person receives 1 coin per hour. But at what moment a person starts to receive his coins? To  keep things fair and simple we’ve chosen January 1st, 2022 at 01:00 hour to be the moment everyone receives his first coin, unless you are born after that moment. When you are born after  January 1st, 2022 at 01:00, you will receive 1 coin per hour from your birthday, also at 01:00 hour. This means for all people (outside the newborns) that – should they start using the 1CoinH for example 1000 days after January 1st, 2022 at 01:00, they would start with 24 x 1000 = 24,000 coins. Because of depreciation, this will be quite a bit less: 13,976.30 coins.</span><br><br><br>
            <span class="span-subtitle" id=text_163>Birth Hour</span><br>
            <span class="span-paragraph" id=text_164>In your 1CoinH history, the first number in the Initial string is the birth-hour, calculated with January 1st, 2022 at 00:00 as zero. All the hours a person lived before this “moment zero” are calculated and stored with a minus sign. All births after “moment zero” are positive. With the “birth-hour” number, program can easily calculate the coins each person has personally created.</span><br><br><br>
            <span class="span-subtitle" id=text_165>Immediate Depreciation</span><br>
            <span class="span-paragraph" id=text_166>It needs to be noted that the start-coins will all be depreciated immediately. This can be calculated in a loop from “moment zero” to the current hour:</span><br><br>
            <span class="span-paragraph-gold">
            &nbsp;&nbsp;&nbsp;var owncoin = 0;<br>
            &nbsp;&nbsp;&nbsp;for(i = 0; i < hournow; i++)<br>
            &nbsp;&nbsp;&nbsp;{<br>
            &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;owncoin=(owncoin*0.99995)+1;<br>
            &nbsp;&nbsp;&nbsp;}</span><br><br><br>
            <span class="span-subtitle" id=text_167>A Challenge For You!</span><br>
            <span class="span-paragraph" id=text_168>The choices we made above are all based on the logic that is presented. We invite anyone to challenge the logic and also present better systems for a financial system at the same time. Until now we didn't receive any argument that discredited our choices. So please </span><a href="contact.php"><span class="span-paragraph-link" id=text_169>contact us</span></a><span class="span-paragraph" id=text_170> to present any remarks. It will be very welcome.</span><br><br><br>
        </div>
        <div style="text-align: center; font-family: raleway_lightitalic, sans-serif; font-size: 12pt; color: ghostwhite;">
            <br><br><br>
            <a href="#top1"><span class="span-paragraph-link" id=text_171>▲ Up ▲</span></a>
        </div>
        <br>
    </div>
    <script src="js/about.js"></script>
<?php
    require "footer.php";
    ob_end_flush();
?>